Upgrade ULTRAVNC repeater

This project received 2 bids from talented freelancers with an average bid price of €150 EUR.

Get free quotes for a project like this
Employer working
Skills Required
Project Budget
€30 - €250 EUR
Total Bids
Project Description

Upgrade ULTRAVNC modified repeater to be compatilbe with ULTRAVNC servers up to version 1.1.
Negotiated RFB version can be 3.3 as long as it works.
Existing repeater works with ULTRAVNC server versions up to support is broken with version (probably changes with RFB version)

Sources and description... [url removed, login to view] (this repater has 100% CPU usage bug), use this version without bug ... [url removed, login to view]

Detailed problem description (I presume, that you are familiar with ULTRAVNC repeater concept):

On our linux server we run repeater from link [url removed, login to view]
Then we make a reverse vnc connection (Ultravnc Server from client computer to repeater, than technician makes viewer vnc connection (standard vnc viewers), and select VNC server session ID with a password request as described on link [url removed, login to view], vnc connection works.

If we replace VNC server on client computer with newer version (ULTRAVNC server and newer,also [url removed, login to view] must contain authrequired=0), conection to repeater is successful, but viewer connection doesnt work. (different errors on different viewers). I presume, that problem is in different handshake procedure on newer ULTRAVNC servers.

What we need is changes on repeater code, so repeater would support connections with newer ultravnc servers....

You will need testing enviroment with repeater...

Regards, Gregor

Looking to make some money?

  • Set your budget and the timeframe
  • Outline your proposal
  • Get paid for your work

Hire Freelancers who also bid on this project

    • Forbes
    • The New York Times
    • Time
    • Wall Street Journal
    • Times Online